AsterNet Class Library (Sandcastle documentation)

| WaitForDigitCommand Class

Waits up to 'timeout' milliseconds for channel to receive a DTMF digit.
Returns -1 on channel failure, 0 if no digit is received in the timeout, or the numerical value of the ascii of the digit if one is received. Use -1 for the timeout value if you desire the call to block indefinitely.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.Command
AGICommand
AsterNET.FastAGI.Command
WaitForDigitCommand

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class WaitForDigitCommand : AGICommand

    Public Class WaitForDigitCommand
    	Inherits AGICommand

    public ref class WaitForDigitCommand : public AGICommand

    type WaitForDigitCommand =
        class
            inherit AGICommand
        end

The WaitForDigitCommand type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| WaitForDigitCommand | Creates a new WaitForDigitCommand with a default timeout of -1 which blocks the channel indefinitely.
| WaitForDigitCommand(Int32) | Creates a new WaitForDigitCommand.

Top
Methods

| Name | Description
--- | --- | ---
| BuildCommand | (Overrides AGICommand BuildCommand .)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| EscapeAndQuote | (Inherited from AGICommand.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from AGICommand.)

Top
Properties

| Name | Description
--- | --- | ---
| Timeout | Get/Set the milliseconds to wait for the channel to receive a DTMF digit.

Top
See Also

#### Reference

AsterNET.FastAGI.Command Namespace